import { Component, OnInit } from '@angular/core';
import { FrameRequest } from '../../../../../shared/frame/frame-request';
import { AppComponent } from '../../../../../app.component';

@Component({
  selector: 'app-non-online-course',
  templateUrl: './non-online-course.component.html',
  styleUrls: ['./non-online-course.component.scss']
})
export class NonOnlineCourseComponent implements OnInit {

  EXPORT_URL = "kw/kwLayoutRoom/exportnoline.htm";

  constructor() { }

  ngOnInit() {
    AppComponent.GobalComponent.setLoading(true);
    FrameRequest.download(this.EXPORT_URL, {}, () => {
      AppComponent.GobalComponent.setLoading(false);
      AppComponent.GobalComponent.successMsg("导出统计表成功");
    });
  }

}
